Closing an account must be done via aDocumentation Index
Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
Use this file to discover all available pages before exploring further.
PATCH call to the /account endpoint. This must be done in careful consideration of the regulatory and operational impact.
Closing an account requires additional permissions in the Treasury Prime API. Please contact support to have those enabled.
The closed_date field
When an account is closed, the Account object includes a closed_date field containing the timestamp of the closure in ISO 8601 format (YYYY-MM-DDThh:mm:ssZ). This field is always in UTC and is null for accounts that have not been closed.
You can filter accounts by closed_date when listing accounts via the GET /account endpoint to identify accounts closed within a specific time range.
The
closed_date field is available on a limited basis. Contact your relationship manager to discuss availability.Regulatory Compliance Impact
Closing an account may have regulatory impact and should be done with care and in coordination with your banking partner. Treasury Prime, along with your bank partner, can help you create safe and lightweight compliance program. Contact Treasury Prime support for details. Before closing any accounts, we recommend that you:- Build out an account close remediation plan in collaboration with your banking partner and Treasury Prime.
-
Your plan should address the following questions, though this is not an exhaustive list:
- How to handle customer account balances with the intent to zero them before initiating a close.
- How to handle customer communications and inquiries related to closed accounts.
- What message will display to end users when a transaction is attempted on a closed account.
Close an Account
To close an account, make aPATCH request to the /account endpoint with the status of close_pending.
Example Request
Find Accounts by Status
The List Accounts endpoint accepts astatus query parameter that filters accounts by their current state. Use this filter to retrieve only accounts in open, close_pending, or closed status — for example, to monitor accounts that are pending closure or to audit which accounts have already been closed. The status field is also returned on each account object in the response.
Example Request
Activity On a Closed Account
Many activities and API calls are blocked when an account has a status ofclosed or closed_pending. If there are unsettled card transactions when the account closure request is received, the account will not be closed until those transactions are settled, which may take 30+ days.
To the extent there are transactions or returns that post after the account is closed, they will be visible through current balance and available balance. Any activity that changes the balance of an end user’s account will be the responsibility of the fintech to either disburse funds or collect funds as appropriate.
Payments
| Payment | Behavior When Closed |
|---|---|
| ACH | All pending and processing ACHs will be canceled when the close is initiated. Closed accounts are blocked from creating any new ACHs. Inbound ACHs will be returned. |
| Wire | All pending wires will be canceled when the close is initiated. Closed accounts are blocked from creating any new wires. Inbound wires will also be blocked on a closed account. |
| Book Transfers | Closed accounts are blocked from being either the from_account_id or to_account_id on a book transfer. |
| Check Issuing | Closed accounts are blocked from issuing new checks. Note: In the case of when a check was issued from an end-user account and the account was closed sometime later, a stop_payment will be put on all outstanding checks and the funds will return to the end-user account. As part of the process, the receiving bank will need to send funds back to the customer/end user to bring the account to a $0 balance prior to closing the account. Please confirm that this flow is enabled at your institution. |
| Check Deposit | Closed accounts are blocked from depositing checks. |
Cards
When an account is closed cards will update based on their status at the time of the close.| Card Status Prior to Close | Behavior When Closed |
|---|---|
active | Will be updated to a terminated status. |
unactivated | Will be updated to a terminated status. |
suspended | No change. |
terminated | No change. |
Closed Errors
When an API call is blocked due to a closed account a403 - Forbidden response will be returned with an error message detailing the cause.
Closed Account Check Issuance
When a ledger account with a positive balance is closed, Treasury Prime issues checks for the remaining balance through the following process:- The fintech initiates account closure by updating the account status to
close_pendingthrough Treasury Prime’s API - Treasury Prime verifies if there are any pending transactions. If pending transactions exist, the account remains in
close_pendingstatus for 30 days. - After verifying no pending transactions (or after the 30-day period), Treasury Prime checks the account balance.
- For accounts with positive balances, Treasury Prime issues checks for the remaining amounts. These checks include a memo stating “release of funds” and a message indicating “releasing funds to customer for account closure”.
- After issuing the check, Treasury Prime transfers funds from the FBO account to the bank’s Closed Account Check Settlement Account (CACSA).
- The account balance is updated to zero, and the status changes from
close_pendingtoclosed.
expired. The bank is then responsible for escheating these funds to the state as required by unclaimed property laws.